//
//  Song.h
//  igroup
//
//  Created by Vidya on 3/31/10.
//  Copyright 2010 iGroup. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MediaPlayer/MediaPlayer.h>

#import "Clip.h"

@class Clip;

@interface Song : NSObject {
	NSString *artistName; 
	NSString *title; 
	NSMutableArray *clips; 
	int numClips;
	MPMediaItem *songMediaItem;	// actual media item of this song
}

@property (nonatomic, retain) NSString *artistName; 
@property (nonatomic, retain) NSString *title; 
@property (nonatomic, retain) NSMutableArray *clips;
@property (nonatomic, retain, readonly) MPMediaItem *songMediaItem;

- (void) addClip:(Clip *)clip; 

+ (Song *)getSong:(NSString *)title;

@end
