//
//  Routine.h
//  igroup
//
//  Created by Vidya on 3/31/10.
//  Copyright 2010 iGroup. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Clip.h"

@interface Routine : NSObject {
	NSMutableArray *clips;	// array of clips
	NSString *name;
}

@property (nonatomic, retain) NSString *name; 
@property (nonatomic, retain) NSMutableArray *clips;

- (id)initWithName:(NSString *)aName clips:(NSArray *)someClips;
	
+ (NSDictionary *)save;

+ (void)load:(NSDictionary *)serializedData;

- (void) addClip:(Clip *)clip atPosition:(NSUInteger)num;

- (Routine *) removeClipAtPosition:(NSUInteger)num;

- (Clip *) getClipAtPosition:(NSUInteger)num;

+ (NSMutableArray *) getRoutines;


@end
