//
//  RoutineViewController.h
//  igroup
//

#import <UIKit/UIKit.h>
#import "Routine.h"

@interface RoutineViewController : UIViewController <UIAlertViewDelegate, UITextFieldDelegate> {
	UITableView *tableView;
	Routine *myRoutine; 
	UITextField *textfield;
}

@property (nonatomic, retain) IBOutlet UITableView *tableView;
@property (nonatomic, retain) Routine *myRoutine;
@property (nonatomic, retain) UITextField *textfield; 

- (id)initWithRoutine:(Routine *)thisRoutine; 

- (IBAction)addClip;

- (IBAction)rename;

- (BOOL)textFieldShouldReturn:(UITextField *)theTextField; 

- (void)fetchClip:(Clip *)newClip;

@end
