//
//  igroupAppDelegate.m
//  igroup
//

#import "igroupAppDelegate.h"

@implementation igroupAppDelegate

@synthesize window, tabBarController, debugMode;


- (void)applicationDidFinishLaunching:(UIApplication *)application {
	NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
	
	if([[[preferences objectForKey:@"routines"] allKeys] count] == 2) {
		NSLog(@"not saving properly"); 
	}
	
	[Routine load:[preferences objectForKey:@"routines"]];
	[Clip load:[preferences objectForKey:@"clips"]];
	
    // Add the tab bar controller's current view as a subview of the window
    [window addSubview:tabBarController.view];
}

- (void)applicationWillTerminate:(UIApplication *)application {
	NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
	NSDictionary *serializedData;
	
	serializedData = [Routine save];
	NSLog(@"routine data is %@", serializedData);
	[preferences setObject:serializedData forKey:@"routines"];
	[serializedData release];
	
	NSLog(@"Foo");
	
	serializedData = [Clip save];
	NSLog(@"clip data is %@", serializedData);
	[preferences setObject:serializedData forKey:@"clips"];
	[serializedData release];
	
	if ([preferences synchronize]) {
		NSLog(@"Suceeded");
	} else {
		NSLog(@"Failed");
	}
}


/*
// Optional UITabBarControllerDelegate method
- (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
}
*/

/*
// Optional UITabBarControllerDelegate method
- (void)tabBarController:(UITabBarController *)tabBarController didEndCustomizingViewControllers:(NSArray *)viewControllers changed:(BOOL)changed {
}
*/


- (void)dealloc {
    [tabBarController release];
    [window release];
    [super dealloc];
}

@end

